Bug 448650 - Review Request: gmm - C++ library for sparse, dense and skyline matrices
Review Request: gmm - C++ library for sparse, dense and skyline matrices
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 22:24 EDT by Steven M. Parrish
Modified: 2008-06-03 03:36 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.0-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 03:35:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven M. Parrish 2008-05-27 22:24:08 EDT
Spec URL: http://tuxbrewr.fedorapeople.org/gmm++.spec
SRPM URL: http://tuxbrewr.fedorapeople.org/gmm++-3.0-1.fc9.src.rpm
Description: Generic C++ library for sparse, dense and skyline matrices 

These headers are needed in order to build "Step" in kdeedu package.
Comment 1 Steven M. Parrish 2008-05-27 22:29:01 EDT
Kevin & Rex.  This is just the straight package.  No changes to the gmm-config
script yet.  Will work on that in tomorrow.  Just wanted to get this out there
since I know part of kdeedu depend on it.

Steven
Comment 2 Kevin Kofler 2008-05-28 01:47:26 EDT
You should leave the main package empty and put everything into %package devel 
like eigen is doing.
Comment 3 Ralf Corsepius 2008-05-28 02:12:43 EDT
This is inconsistent:
...
./configure --prefix=/usr
...
%files
%{_includedir}/gmm/

Please use %configure instead of "./configure ..." such %{_includedir} gets
propagated to the package's guts.

Comment 4 Steven M. Parrish 2008-05-28 03:36:33 EDT
Done and done. 
Comment 5 Ralf Corsepius 2008-05-28 06:23:26 EDT
Any particular reason to call this package gmm++?

The upstream tarball is called gmm, which according to Fedora conventions, would
mean the package must be called "gmm" and not "gmm++".
Comment 6 Steven M. Parrish 2008-05-28 09:17:01 EDT
gmm++ is the official project name, as such it falls within the Fedora naming
scheme.
Comment 7 Rex Dieter 2008-05-28 09:23:57 EDT
Ralf's sentiments are right on, and including the ++'s need to be justified.  To
that end, 
1.  I concur with Steven that upstream indeed does call it gmm++ everywhere on
it's upstream website.  Tho, makes one wonder why the tarball name is different.
2.  Using just gmm could lead to confusion, e.g. with
http://www.datalab.uci.edu/resources/gmm/  ??
Comment 8 Ralf Corsepius 2008-05-28 09:51:19 EDT
(In reply to comment #7)
> 1.  I concur with Steven that upstream indeed does call it gmm++ everywhere on
> it's upstream website.
Not quite. They call it "Gmm++" on their website.
Comment 9 Rex Dieter 2008-05-28 10:03:55 EDT
Heh, ok, would you prefer Gmm++ ?  (I don't think anyone would). :)
Comment 10 Ralf Corsepius 2008-05-28 10:16:10 EDT
(In reply to comment #9)
> Heh, ok, would you prefer Gmm++ ?  (I don't think anyone would). :)
I would prefer this package to be called "gmm", because that's what the FPG
mandates it to be named (after the tarball).

Besides this, yes, I'd prefer "Gmm++" over "gmm++", because size - pardon - case
matters: Coke is something different than coke.
Comment 11 Rex Dieter 2008-05-28 10:31:37 EDT
OK, let's go with gmm (it is friendlier, after-all).  That said, please add to
-devel:
Provides: gmm++-devel = %{version}-%{release}
and we'll proceed from there.
Comment 13 Rex Dieter 2008-05-28 11:13:02 EDT
rpmlint *.rpm
gmm.src:26: W: setup-not-quiet
gmm.src: W: invalid-license GPLv2.1+
gmm-devel.noarch: W: no-documentation
gmm-devel.noarch: W: invalid-license GPLv2.1+

item 1; MUST fix license tag,
License: LGPLv2+

item 2: SHOULD use -q flag on %setup

The rest of the contents are just headers, in their own folder/namespace, simple
and harmless.

Source verified:
e543571d8812357374699491014abd58  gmm-3.0.tar.gz

naming: ok (hopefully now)
scriptlets: n/a
macros: ok

APPROVED.

(fixing the items above are mostly trivial, I'll trust you'll do that before
building).
Comment 14 Steven M. Parrish 2008-05-28 11:30:18 EDT
New Package CVS Request
=======================
Package Name: gmm
Short Description: C++ library for sparse, dense and skyline matrices
Owners: tuxbrewr
Branches: F-8 F-9
InitialCC: rdieter
Cvsextras Commits: yes
Comment 15 Kevin Fenzi 2008-05-30 16:23:01 EDT
cvs done.
Comment 16 Fedora Update System 2008-05-30 18:28:32 EDT
gmm-3.0-3.fc8 has been submitted as an update for Fedora 8
Comment 17 Fedora Update System 2008-05-30 18:30:13 EDT
gmm-3.0-3.fc9 has been submitted as an update for Fedora 9
Comment 18 Fedora Update System 2008-06-03 03:35:44 EDT
gmm-3.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2008-06-03 03:36:03 EDT
gmm-3.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.